Summary: The GNU interactive spelling checker program.
Name: ispell
Version: 3.1.20
Release: 10mdk
Group: Text tools
Source0: ftp://prep.ai.mit.edu/pub/gnu/ispell-3.1.20.tar.bz2
Source1: ispell.info
Source2: spell
Source3: hk2-deutsch.tar.bz2 
Patch0: ispell-3.1.20-config.patch.bz2
Patch1: ispell-3.1.20-german.patch.bz2 
Patch2: ispell-3.1-info.patch.bz2
Patch3: ispell-3.1.20-termio.patch.bz2
Patch4: ispell-3.1.20-mask.patch.bz2
Patch5: ispell-3.1.20-strcmp.patch.bz2
Patch6: ispell-3.1.20-maskbits64_and_british.patch.bz2 
BuildRoot: /var/tmp/ispell-root
Copyright: GPL
# requires at least one dictionary
Requires: ispell-dictionary

%description
Ispell is the GNU interactive spelling checker.  Ispell will check a text
file for spelling and typographical errors.  When it finds a word that is
not in the dictionary, it will suggest correctly spelled words for the
misspelled word.

You should install ispell if you need a program for spell checking (and who
doesn't...).

Note this package has only the spell checker engine; you also need to
install the dictionary files from the ispell-* package for your language.

%package en
Summary: English dictionary for ispell
Group: System/Internationalization
Requires: ispell
Requires: locales-en
BuildPrereq: words
Obsoletes: iamerica
Obsoletes: ispell-english
Obsoletes: ibritish
Obsoletes: ispell-british
Provides: ispell-dictionary

%description en
This package has the English dictionary files for ispell.
With it you can check the spelling of Enlish text files or LaTeX files
written in English.

%package de
Summary: German dictionary for ispell
Group: System/Internationalization
Requires: ispell
Requires: locales-de
Obsoletes: ispell-german
Obsoletes: igerman
Provides: ispell-dictionary

%description de
This package has the German dictionary files for ispell.
With it you can check the spelling of German text files or LaTeX files
written in German.


%prep
%setup -q -n ispell-3.1
tar xyf $RPM_SOURCE_DIR/hk2-deutsch.tar.bz2 -C ./languages/deutsch/ '*.txt' '*.aff' '*README'
%patch0 -p1
%patch1 
# patch 1 deleted
%patch2 -p1 -b .makeinfo
%patch3 -p1 -b .termio

%ifarch alpha
%patch4 -p1 -b .mask
%endif

%patch5 -p1 -b .strcmp
%patch6 -p1 -b .maskbits
echo "Getting prebuilt ispell.info file :-(."
cp $RPM_SOURCE_DIR/ispell.info .

%build

# Make config.sh first
TMPDIR=/var/tmp PATH=.:$PATH make CFLAGS="$RPM_OPT_FLAGS" config.sh
perl -p -i -e "s/-O/$RPM_OPT_FLAGS/" config.sh

# Now save build-rooted version (with time-stamp) for install ...
cp config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT/usr/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
TMPDIR=/var/tmp PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/info

# Roll in the build-root'ed version (with time-stamp!)
mv config.sh.INSTALL config.sh
TMPDIR=/var/tmp PATH=.:$PATH make install

mv $RPM_BUILD_ROOT/usr/info/ispell $RPM_BUILD_ROOT/usr/info/ispell.info
bzip2 -9f $RPM_BUILD_ROOT/usr/info/ispell.info

install -m 755 ${RPM_SOURCE_DIR}/spell $RPM_BUILD_ROOT/usr/bin/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/ispell
/usr/bin/spell
/usr/man/man1/ispell.1*
/usr/man/man4/ispell.4*
/usr/info/ispell.info.bz2
#/usr/lib/emacs/site-lisp/ispell.el
/usr/bin/buildhash
/usr/bin/icombine
/usr/bin/ijoin
/usr/bin/munchlist
/usr/bin/findaffix
/usr/bin/tryaffix
/usr/bin/sq
/usr/bin/unsq
/usr/man/man1/sq.1*
/usr/man/man1/buildhash.1*
/usr/man/man1/munchlist.1*
/usr/man/man1/findaffix.1*
/usr/man/man1/tryaffix.1*
/usr/man/man1/unsq.1*
%dir /usr/lib/ispell

%files en
%defattr(-,root,root)
/usr/man/man4/english.4*
/usr/lib/ispell/american.hash
/usr/lib/ispell/americanmed+.hash
/usr/lib/ispell/english.aff
/usr/lib/ispell/english.hash
/usr/lib/ispell/british.hash
/usr/lib/ispell/britishmed+.hash
/usr/lib/ispell/britishxlg.hash

%files de
%defattr(-,root,root)
/usr/lib/ispell/deutsch.aff
/usr/lib/ispell/deutsch.hash
/usr/lib/ispell/deutschlxg.hash
/usr/lib/ispell/deutschmed.hash
/usr/lib/ispell/german.hash

%changelog

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-10mdk
- rebuild for new Group: names
- changed the spec file a bit to leave compression of man pages to spec-helper

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary for ispell-{en,de}
- added Requires: ispell-dictionary to ispell package, so it requires
  at least one dictionary package to be installed

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- added british files to ispell-en

* Tue Oct 26 1999 Pawel Jablonski <pj@linux-mandrake.com>
- separate dictionaries ispell-en and ispell-de

* Sun Oct 3 1999 Pawe Jaboski <pj@linux-mandrake.com>
- increase MASKBITS from 32 to 64 - like in Debian (needed by ispell-pl)

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- add a buildroot

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- strcmp may have different forms on different systems;
  do not declare it explicitly, just include <string.h>
- use /var/tmp instead of /usr/tmp

* Sun Nov 8 1998 Patricia Jung <trish@freiburg.linux.de>
- Added German dictionary

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
